Subject: Re: linux-next: manual merge of the block tree with Linus' tree

From: Jens Axboe <[email-masked]>
Date: Mon, 27 Jan 2020 17:40:14 -0700

On 1/27/20 5:38 PM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the block tree got a conflict in:
> 
>   fs/io_uring.c
> 
> between commit:
> 
>   73e08e711d9c ("Revert "io_uring: only allow submit from owning task"")
> 
> from Linus' tree and commit:
> 
>   9ef4f124894b ("io_uring: clamp to_submit in io_submit_sqes()")
> 
> from the block tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks, looks good to me. I'll try cooperating better with myself ;-)

-- 
Jens Axboe